export default {
  methods: {
    finalAdjustDMResolver() {
      const activeIndex = this.generation.activeModels.findIndex(item => item.generation == 6)
      const primaryDMIndex = this.generation.activeModels.findIndex(item => item.generation == 2)
      const backDMIndex = this.generation.activeModels.findIndex(item => item.generation == 4)

      const primaryDMModels = this.generation.activeModels[primaryDMIndex].models
      const backDMModels = this.generation.activeModels[backDMIndex].models

      this.formatRows = this.generation.activeModels[activeIndex].models.map(item => {
        item.subjects = this.optionalMajors.filter(college => {
          if (college.matchedGroupIds.indexOf(item.groupId) != -1) return college.majorCategoryName
        }).map(item => item.majorCategoryName)
        item.colleges = this.optionalMajors.filter(college => {
          if (college.matchedGroupIds.indexOf(item.groupId) != -1) return college.majorCategoryName
        }).map(item => {
          return {
            college: item.collegeName,
            major: item.majorCategoryName
          }
        })
        // 二次补录结果字段
        item.towSupplyRecord = `${item.groupApprovedCount + item.actualCount} / ${item.personCount}`
        item.towSupplyIndicator = item.groupApprovedCount + item.actualCount-item.personCount
        item.allowSelectTips = item.towSupplyIndicator >=0 ? '已满' : '可报名'

        // 补录结果字段
        const supplyIndex = backDMModels.findIndex(primary => primary.groupId == item.groupId )
        item.supplyRecord = `${backDMModels[supplyIndex].groupApprovedCount + backDMModels[supplyIndex].actualCount} / ${backDMModels[supplyIndex].personCount}`
        item.supplyIndicator = backDMModels[supplyIndex].groupApprovedCount + backDMModels[supplyIndex].actualCount-backDMModels[supplyIndex].personCount

        // 初录的字段
        const index = primaryDMModels.findIndex(primary => primary.groupId == item.groupId )
        item.applyCount = `${primaryDMModels[index].actualCount + primaryDMModels[index].groupApprovedCount}/${primaryDMModels[index].personCount}`
        item.prmarySituation = primaryDMModels[index].actualCount + primaryDMModels[index].groupApprovedCount - primaryDMModels[index].personCount

        return item
      })
      return {
        applyCount:{
          label:'初录情况'
        },
        groupIndicator:{
          label:'初录超/缺'
        },
        supplyRecord:{
          label:'补录情况' // 补录情况 =
          // groupApprovedCount(补录阶段实际报名人数) + actualCount(补录本组合已被录取人数) / personCount（设置的人数）
        },
        supplyIndicator:{
          label:'补录结果' // 补录的超缺
        },
        towSupplyRecord:{
          label:'二次补录情况'
        },
        towSupplyIndicator:{
          label:'二次补录结果'
        }
      }
    }
  }
}
